Subject: Re: [Ltru] Uniqueness of variant subtags

From: "Doug Ewell" <[email-masked]>
Date: Wed, 1 Oct 2008 07:37:38 -0600

Many wrote:

>>> I am wholly and utterly opposed to allowing two records of the same 
>>> type with the same subtag.
>>
>> And so am I.
>
> As am I.

Me too.  Could not live with this.

Mark added:

> I'm not opposed to
>
> de-1901
> uz-1901
> and so on. These are meaningful and easy for people to understand.

As a matter of subtag assignment policy, which is really a question for 
ietf-languages, I think we are seriously overestimating both the need to 
tag variations identified by a year and the likelihood that users will 
connect these year numbers to the variations.

German was a notable special case: it had a well-known, widely 
publicized, and much-debated orthographic revision for which we ended up 
creating the tag "de-1996" (with complement "de-1901" for the old 
orthography) back in the RFC 3066 whole-tag days.  This was largely 
because we wanted to avoid something like "de-revised" knowing that it 
might be revised again some day.  However, even now we talk of "de-1901" 
and "de-1996" as making distinctions that usually don't need to be made; 
see, for example, Section 4.1 of both RFC 4646 and draft-4646bis-17.

Since assigning "1994" to a Resian orthography invented by Han 
Steenwijk, which might well have been named for him instead, 
ietf-languages has been more and more willing to use year numbers to 
identify language variations, even those where the variation is not 
commonly associated with the year, or where regular revisions 
identifiable by year are not expected.  We are about to register 
'1959acad' for Belarusian even though we distinguish no other revisions 
of Academy Belarusian, and we were considering 'hpin1958' for Hanyu 
Pinyin even though the distinction we wanted to draw was between Hanyu 
and other Pinyins, not between 1958 and any other revision.

I'm not saying year numbers don't ever have their place, but it worries 
me when we expect them to be so common that we are thinking about 
compromising an important property of the Registry, uniqueness of subtag 
values within type, in anticipation that there will be tons of them.

And no, I don't consider this inconsistent with my position that 'coruc' 
and 'corur' and so forth are acceptable subtags.  These may be cryptic, 
but they are not arbitrary.

--
Doug Ewell  *  Thornton, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Phillips, Addison" <[email-masked]>
Date: Wed, 1 Oct 2008 08:47:52 -0700

> values within type, in anticipation that there will be tons of them.

I don't think the problem will be common. The problem is that the potential for conflicts is relatively large if years end up being used commonly, since mostly we'll be registering either (a) new events that happen typically in the current or a recent year or (b) standards published in the relatively recent past fifty years or so (1694acad notwithstanding). I don't think it is a huge problem, but I think we should foreclose the possibility of a particular year being given two meanings.

Although I think subtags like "1958hpin" (or is it "hpin1958"???) are particularly ugly, they do solve the uniqueness problem pretty well. So I think that formally banning subtag 'repurposing' should be done.

> and 'corur' and so forth are acceptable subtags.  These may be
> cryptic, but they are not arbitrary.

It's not inconsistent and your position on those subtags is not incoherent. My concern with them was merely that a tranche of extremely similar subtags might prove confusing and difficult for users to approach, not that they were not "unique enough". 

Addison

---

From: Leif Halvard Silli <[email-masked]>
Date: Thu, 02 Oct 2008 01:25:44 +0200

> Me too.  Could not live with this.

I think Mark actally expressed that registering "2003" as a subtag 
with the meaning "language reform linked to year 2003" would 
satisfy the uniqueness requirement.

Further down in this letter, you say that you disagree with him 
(and those of us who agree - at least I and Martin) in this.

> ietf-languages,

Here I must agree that you take up a valid problem. Somehow the 
years would have to be reserved for a certain use. And what about 
e.g. "1996", would we be fiddling with what it was registereded as 
if we said that it from now on means "Language reforms of the 
following languages linked to year 1996: German, X, Y, Z"?

> I think we are seriously overestimating both the need to 

The question isn't, I think, "need to identify by year", but 
rather "need to identify language reform".

Regarding what's likely, that's a matter of what one are used to. 
The more there is a pattern, the more one will get used to.

> see, for example, Section 4.1 of both RFC 4646 and draft-4646bis-17.

This socalled "well-known"-ness: All that is matter of how 
familiar you are with the particular language. I do not understand 
the likelyhood question. Language reforms is a common thing.

> and other Pinyins, not between 1958 and any other revision.

Here you bring up some relevant "hairs in the soup": Even if we 
establish that years are to mean "language reform", there will 
still be some subtags which do not fit nicely into the system, and 
also some subtags which aren't contstructed that way (as years) 
even though they (perhaps) could have been.

> values within type, in anticipation that there will be tons of them.

So you disagree with Mark's intepretation of how to understand 
uniqueness.

Regarding "tons":  The fact of the matter is that coming up with - 
and agreeing to - language subtag *names* is an extra burdon for 
any registerer. It is an extra fence to protect against 
registration of variation subtags. (The region subtags are not 
decided by us, you know, but by the UN ... etc.)

While OTOH, using year for language reforms, is very inviting.  It 
could encourage registration. Should that be avoided?

-- 
leif halvard silli

---

From: "Doug Ewell" <[email-masked]>
Date: Wed, 1 Oct 2008 20:16:09 -0600

Phillips, Addison <[email-masked]> wrote:

> Although I think subtags like "1958hpin" (or is it "hpin1958"???) are 
> particularly ugly, they do solve the uniqueness problem pretty well.

If the main purpose of the year is to make otherwise-identical subtags 
unique, they are a total hack.

Year numbers should identify a year that is recognizably relevant to the 
language variation.  If users will not understand the significance of 
the year, using it is no better than slamming one's fist onto the 
keyboard and using those 5 to 8 letters, as Níall Tracey suggested on 
ietf-languages.

---

From: Martin Duerst <[email-masked]>
Date: Thu, 02 Oct 2008 10:00:32 +0900

At 08:25 08/10/02, Leif Halvard Silli wrote:

>I think Mark actally expressed that registering "2003" as a subtag with the meaning "language reform linked to year 2003" would satisfy the uniqueness requirement.
>
>Further down in this letter, you say that you disagree with him (and those of us who agree - at least I and Martin) in this.

[technical hat on]
Just to clarify, I'm not taking much of a side on this issue.
I can live with any solution, from having duplicate variant
records distinguished by prefix to totally prohibiting variant
reuse for even slightly different purposes.

[chair hat on]
I think I have seen very strong opposition to having multiple
records with the same variant subtag, for implementation reasons,
and nobody fighting for multiple records as such. Addison and Mark,
unless this is already covered in -17, can I ask you to draft some
language covering this (and only this) point?

I have not yet seen any consensus on the details of the content of
that single record. My current tendency, given that we are in a
repetition of WG Last Call, and that we have discussed this issue
before, is to leave it as it is in -17.

>While OTOH, using year for language reforms, is very inviting.  It could encourage registration. Should that be avoided?

This brings up the general issue of how we might be able to
shorten discussions about registrations with clearer guidelines.
If you have any ideas on this, please tell us.

However, my current understanding would be that clearer guidelines
could go one way or another, and that in the absence of any new
consensus, we will have to leave it at what we have with -17.

Regards,    Martin.

#-#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin University
#-#-#  http://www.sw.it.aoyama.ac.jp       mailto:[email-masked]

---

From: "Phillips, Addison" <[email-masked]>
Date: Wed, 1 Oct 2008 21:25:57 -0700

> language covering this (and only this) point?

I already drafted it in the editor's copy and just proposed removing said draft for lack of any consensus. draft-18 on inter-locale has the proposed text.

Addison

---

From: "Mark Davis" <[email-masked]>
Date: Thu, 2 Oct 2008 09:10:36 +0200

I looked back at the text you had:
<t>Requests to assign an additional record of a given type with an existing
subtag value MUST be rejected. For example, the variant subtag 'rozaj'
already exists in the registry, so adding a second record of type 'variant'
with the subtag 'rozaj' is prohibited.</t>

Here is my proposal based on the discussion.

<t>Records
are unique by Type and Subtype: the registry MUST not contain two
different records that have identical values for both Type and
Subtype. Thus requests to assign an additional record of a given Type
with an existing Subtag value MUST be rejected. For example, the
variant subtag 'rozaj' already exists in the registry, so adding a
second record of type 'variant' with the subtag 'rozaj' is prohibited.
However, information can be added to an existing record. For example, the
'1994' subtag variant record could have the prefix 'fr-CA' added together
with a description of usage for a French Canadian spelling reform associated
with the year 1994.</t>

<t>Variant subtags that are used with multiple (or no) prefixes must have
consistent meaning across those prefixes. Four digit subtags should refer to
some specification or change associated with a year for the given prefixes.
Other subtags may be associated with an authority for the language,
orthography, or transliteration (transcription), such as 'ungegn', 'bgn', or
'gost'. When applied to different prefixes, they would always refer to the
same authority.</t>

Mark

On Thu, Oct 2, 2008 at 6:25 AM, Phillips, Addison <[email-masked]>wrote:

> I already drafted it in the editor's copy and just proposed removing said
> draft for lack of any consensus. draft-18 on inter-locale has the proposed
> text.
>
> Addison

---

From: "Mark Davis" <[email-masked]>
Date: Thu, 2 Oct 2008 09:11:02 +0200

<t>Records

Mark

---

From: "Kent Karlsson" <[email-masked]>
Date: Thu, 2 Oct 2008 09:36:10 +0200

I assume "Subtype" should be "Subtag". Also some of the example variant subtags (with letters) here are shorter than 5 letters/digits.
 
I like the year approach here. Many languages get orthographic reforms, usually small, issued by a (recognised) authority for the language in question.
This would just be for pure 4-digit variant subtags.
 
Not sure I really like the organisation approach. But I'm not strongly opposed. Still, does it have to be emphasised as an example (out of only two approaches,
this and year numbers, so emphasised)?
 
    /kent k

  _____  

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Davis
Sent: Thursday, October 02, 2008 9:11 AM
To: Phillips, Addison
Cc: LTRU Working Group; Doug Ewell
Subject: Re: [Ltru] Uniqueness of variant subtags

<t>Requests to assign an additional record of a given type with an existing subtag value MUST be rejected. For example, the variant subtag 'rozaj' already exists in the registry, so adding a second record of type 'variant' with the subtag 'rozaj' is prohibited.</t>

<t>Records are unique by Type and Subtype: the registry MUST not contain two different records that have identical values for both Type and Subtype. Thus requests to assign an additional record of a given Type with an existing Subtag value MUST be rejected. For example, the variant subtag 'rozaj' already exists in the registry, so adding a second record of type 'variant' with the subtag 'rozaj' is prohibited. However, information can be added to an existing record. For example, the '1994' subtag variant record could have the prefix 'fr-CA' added together with a description of usage for a French Canadian spelling reform associated with the year 1994.</t>

<t>Variant subtags that are used with multiple (or no) prefixes must have consistent meaning across those prefixes. Four digit subtags should refer to some specification or change associated with a year for the given prefixes. Other subtags may be associated with an authority for the language, orthography, or transliteration (transcription), such as 'ungegn', 'bgn', or 'gost'. When applied to different prefixes, they would always refer to the same authority.</t>

Mark

Addison

---

From: [email-masked]
Date: Thu, 2 Oct 2008 10:18:51 +0200

Thanks for the comments. After thinking about it a bit, I made some
significant edits, as follows.

<t>Records are unique by Type and Subtag: the registry MUST not
contain two different records that have identical values for both Type
and Subtag. Thus requests to assign an additional record of a given
Type with an existing Subtag value MUST be rejected. For example, the
variant subtag 'rozaj' already exists in the registry, so adding a
second record of type 'variant' with the subtag 'rozaj' is prohibited.
However, information <i>can</i> be added to an existing record. For
example, the '1994' subtag variant record could have the prefix
'fr-CA' added together with a description of usage for a French
Canadian spelling reform associated with the year 1994.</t>

<t>Variant subtags that are used with multiple prefixes must have
consistent semantics across those prefixes. Variant subtags MAY
indicate an organization (including governments), such as 'ungegn',
'usbgn', or 'cisgost'. When applied to different prefixes, each would
consistently refer to a variant as specified by that organization for
those prefixes. For example, 'ungegn' could be defined as referring to
a transliteration for any given prefix as specified by the United
Nations Group of Experts on Geographical Names (UNGEGN).</t>

<t>Four digit subtags are reserved for indicating a year. Their
meaning is in reference to some significant specification or other
work associated with that year. It may have multiple prefixes: the
particular specification for a given prefix MUST be clearly indicated
in one of the Descriptions.</t>

On 10/2/08, Kent Karlsson <[email-masked]> wrote:
> I assume "Subtype" should be "Subtag". Also some of the example variant
> subtags (with letters) here are shorter than 5 letters/digits.
>
> I like the year approach here. Many languages get orthographic reforms,
> usually small, issued by a (recognised) authority for the language in
> question.
> Not sure I really like the organisation approach. But I'm not strongly
> opposed. Still, does it have to be emphasised as an example (out of only two
> approaches,
> <t>Records are unique by Type and Subtype: the registry MUST not contain two
> different records that have identical values for both Type and Subtype. Thus
> requests to assign an additional record of a given Type with an existing
> Subtag value MUST be rejected. For example, the variant subtag 'rozaj'
> with the subtag 'rozaj' is prohibited. However, information can be added to
> an existing record. For example, the '1994' subtag variant record could have
> the prefix 'fr-CA' added together with a description of usage for a French
> Canadian spelling reform associated with the year 1994.</t>
>

---

From: Marion Gunn <[email-masked]>
Date: Thu, 02 Oct 2008 12:24:11 +0100

I'd see this particular block of similar tags as rather an advantage in 
the context, Addison, than any disadvantage (context being tags 
referring to Cornish), as I'd expect actual users to find no difficulty 
at all differentiating between them, especially as linguistic reform is 
currently a very live topic within a community which, although small, 
has had to learn to live with several reforms within a relatively short 
space of time.

I write this wearing my hat as Advisory Editor, English-Cornish 
Dictionary/Gerlyver Sawsnek-Kernowek, Nicholas Williams, Everson Gunn 
Teoranta/Agan Tavas 2000 (NB. First edition, which took two years to 
compile, during which the last but one reform was still in a state of flux).
mg

Phillips, Addison:
> ...

-- 

Marion Gunn * eGteo (Estab.1991)

27 Páirc an Fhéithlinn, Baile an

Bhóthair, An Charraig Dhubh,

Co. Átha Cliath, Éire/Ireland

* [email-masked] * [email-masked] *

---

From: Leif Halvard Silli <[email-masked]>
Date: Thu, 02 Oct 2008 15:18:48 +0200

Phillips, Addison 2008-10-01 17.47:

>> I'm not saying year numbers don't ever have their place, but
>> it worries me when we expect them to be so common that we are
>> thinking about compromising an important property of the
>> Registry, uniqueness of subtag values within type, in
>> anticipation that there will be tons of them.
> 
> I don't think the problem will be common. The problem is that
> the potential for conflicts is relatively large if years end up
> being used commonly, since mostly we'll be registering either
> (a) new events that happen typically in the current or a recent
> year or (b) standards published in the relatively recent past
> fifty years or so (1694acad notwithstanding). I don't think it
> is a huge problem, but I think we should foreclose the
> possibility of a particular year being given two meanings.

For Norwegian Nynorsk, I could meaningfully register at the very 
least 3 years. Same for Norwegian Bokmål. And even more if I were 
to really register all the revisions. Most modern language norms 
are not more than 200 years old, I think. So year numbers for the 
last 200 years would be most at risk for being used.

There is a "clash" problem in the case of Macrolanguage subtags. 
For instance, both Bokmål and Nynorsk was revised in 1917. So if 
one wrote "no-1917", then it would not be clear what it meant. 
(However, that unclarity allready is built into the 'no' tag.) 
Whereas, if I wrote no-1907, then it could only refer to the 
Bokmål reform of 1907. (Interesting side effect that variation 
tags could make a macrolangauge tag more spesific.)

Otherwise, I am not sure what conflict you talk about. Used 
correctly, there should not be any conflict (except with 
Macrolanguage subtags). Of course, there will be different reforms 
linked to the same year, no doubt, if that was what you meant.
-- 
leif halvard silli
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: John Cowan <[email-masked]>
Date: Thu, 2 Oct 2008 09:50:29 -0400

[email-masked] scripsit:

> consistent semantics across those prefixes. 

I'd say "a single meaning" rather than "consistent semantics".
The hypothetical subtag 'western' has consistent semantics (it means
"the western dialect of any language") but not a single meaning, for
en-US-western has nothing to do with ko-western.

-- 
He made the Legislature meet at one-horse       John Cowan
tank-towns out in the alfalfa belt, so that     [email-masked]
hardly nobody could get there and most of       http://www.ccil.org/~cowan
the leaders would stay home and let him go      --H.L. Mencken's
to work and do things as he pleased.              Declaration of Independence
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Mark Davis" <[email-masked]>
Date: Thu, 2 Oct 2008 16:23:22 +0200

That's a good change, thanks. Modified wording below.

a single meaning across those prefixes. Variant subtags MAY

Mark

---

From: "Phillips, Addison" <[email-masked]>
Date: Thu, 2 Oct 2008 07:29:47 -0700

I agree with John and I do not support Mark's proposal. 

Mark: consider your own proposal to register 'hpin1958'. Would you be pleased if after you registered:

Type:variant
Subtag:hpin1958
Description: Hanyu Pinyin romanization of Mandarin Chinese

... somebody came along and added these descriptions to it:

Description: Pinyin romanization of Tibetan
Description: Tongyong romanization of Chinese
...

Or would that be a violation of "consistent semantics"? I think it is too hard to judge. Let's stick with semantic meaning.

Mark proposed this text:

Ed.> MUST NOT

AP> I liked my original version better, since it is more succinct.

AP> I don't care for this proposal for the reasons given above.

Ed.> MUST have

AP> "MAY" is too strong here. This text is more advisory than normative. I would suggest instead something like:

--
Requests for related variants might use a similar subtag format to visually indicate the relationship between them. For example, they might indicate an organization (such as a government or standards body). For example, 'ungegn' could be defined as referring to a transliteration for any given prefix as specified (etc..)
--

AP> Despite my proposal above, I think this is overkill. It suggests that some initial subtag sequences might acquire meaning that must be normatively enforced here and it doesn't solve a problem that is imminent. 

AP> I think this is overkill. We don't have any examples of non-year four-digit registrations at present nor do we have to spell out that a year should pertain to some event, I think. The registration process ought to do something useful, such as screen requests for such things. Besides, apparently the current trend is to append four letters of garbage to years :-).

Addison

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of John Cowan
> Sent: Thursday, October 02, 2008 6:50 AM
> To: [email-masked]
> Cc: LTRU Working Group; Kent Karlsson

---

From: "Phillips, Addison" <[email-masked]>
Date: Thu, 2 Oct 2008 07:33:52 -0700

Mark,

That’s now contradictory. You can’t say:

--
However, information <i>can</i> be added to an existing record. For
example, the '1994' subtag variant record could have the prefix
'fr-CA' added together with a description of usage for a French
Canadian spelling reform associated with the year 1994.
--

And then say:

--
Variant subtags that are used with multiple prefixes MUST have
a single meaning across those prefixes.
--

Clearly, “French Canadian spelling reform” and “1994 orthography of Resian Slovenian” are not the same meaning?!?

‘1994’ is taken. The metaphorical Canadians will have to make due with something wacky like ‘1994qc’.

Addison

Addison Phillips

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Davis
Sent: Thursday, October 02, 2008 7:23 AM
To: John Cowan
Cc: LTRU Working Group; Kent Karlsson
Subject: Re: [Ltru] Uniqueness of variant subtags

Mark

tank-towns out in the alfalfa belt, so that     [email-masked]<mailto:[email-masked]>

---

From: "Mark Davis" <[email-masked]>
Date: Thu, 2 Oct 2008 16:46:35 +0200

Mark

On Thu, Oct 2, 2008 at 4:29 PM, Phillips, Addison <[email-masked]>wrote:

> Or would that be a violation of "consistent semantics"? I think it is too
> hard to judge. Let's stick with semantic meaning.

As I said (but the threads got pretty convoluted), I could live with
'pinyin' being a broad term IF it were defined as a romanization specified
by the Chinese government, and would be happy to change my registration form
to reflect that. What I find bad is the various attempts to broaden pinyin
without tying it to a particular organization.

> <t>Records are unique by Type and Subtag: the registry MUST not

right.

> AP> I liked my original version better, since it is more succinct.

I could live with your version.

> AP> I don't care for this proposal for the reasons given above.

I suppose we just disagree. Note that what I am writing is no more than
giving an example of what is allowed by the current text and specification.
We allow broadening of any term. And I would strongly disagree with any
change to the current wording that would disallow that.

I don't know why you don't like this. If there were a 1994 spelling reform
in France, I see nothing wrong with using fr-1994 - it is perfectly clear
what that it means some version of french associated with the year 1994 -
and if I want to find out more I look in the registry at the description. A
darned sight easier to understand than most of our subtags!

For another thing, we can't let any particular language "get dibs" on a year
- if we are going to use year numbers, then we have to be able to use them
for different languages.

> <t>Variant subtags that are used with multiple prefixes must have

good

> Requests for related variants might use a similar subtag format to visually
> indicate the relationship between them. For example, they might indicate an
> organization (such as a government or standards body). For example, 'ungegn'
> could be defined as referring to a transliteration for any given prefix as
> specified (etc..)

This wording doesn't really work for me, but I agree about removing the MAY.
Let me try a rewording.

> AP> Despite my proposal above, I think this is overkill. It suggests that
> some initial subtag sequences might acquire meaning that must be normatively
> enforced here and it doesn't solve a problem that is imminent.

I think it actually is imminent. Pinyin / wadegile are just the tip of an
iceberg. We are working hard on romanizations, and there are dozens
associated with given organization. I would find it abhorent to artificially
distinguish subtags that are perfectly understandable as broad terms.

> AP> I think this is overkill. We don't have any examples of non-year
> four-digit registrations at present

That is why I want to spell out that they should always be used as years, if
they are used.

> nor do we have to spell out that a year should pertain to some event, I
> think. The registration process ought to do something useful, such as screen
> requests for such things. Besides, apparently the current trend is to append
> four letters of garbage to years :-).

No, it is to append four digits of garbage to words.

---

From: "Mark Davis" <[email-masked]>
Date: Thu, 2 Oct 2008 16:49:34 +0200

Mark

On Thu, Oct 2, 2008 at 4:33 PM, Phillips, Addison <[email-masked]>wrote:

>  Mark,
>
>
>
> That's now contradictory. You can't say:
>
>
>
> --
>

But I do think that they do have a single core meaning - a specification or
work associated with a year.

> --
>
>
>
> Clearly, "French Canadian spelling reform" and "1994 orthography of Resian
> Slovenian" are not the same meaning?!?
>
>
>
> '1994' is taken. The metaphorical Canadians will have to make due with
> something wacky like '1994qc'.
>

We can't have this situation. Languages can't claim years all for them
selves ;-). And yet any 4-digit sequence will be interpreted as a year. If
we are not going to give broad meaning to 4 digit sequences as years, then
we should just forbid any future registration of them as 4 digit sequences.

> *From:* [email-masked] [mailto:[email-masked]] *On Behalf Of
> *Mark Davis
> *Sent:* Thursday, October 02, 2008 7:23 AM
> *To:* John Cowan
> *Cc:* LTRU Working Group; Kent Karlsson
> *Subject:* Re: [Ltru] Uniqueness of variant subtags
>
>
>

---

From: "Phillips, Addison" <[email-masked]>
Date: Thu, 2 Oct 2008 08:09:41 -0700

You’re planning to register “dozens” of romanizations?

I liked the idea of an extension for transcriptions much more than using variants. If it’s just a few transcriptions, that’s one thing. But we could fill the registry with various romanization schemes (and then there are other to-non-Latin script transliterations to consider). Ick.

Addison

Addison Phillips

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Davis
Sent: Thursday, October 02, 2008 7:47 AM
To: Phillips, Addison
Cc: John Cowan; LTRU Working Group; Kent Karlsson
Subject: Re: [Ltru] Uniqueness of variant subtags

Mark

On Thu, Oct 2, 2008 at 4:29 PM, Phillips, Addison <[email-masked]<mailto:[email-masked]>> wrote:
I agree with John and I do not support Mark's proposal.

Type:variant
Subtag:hpin1958

As I said (but the threads got pretty convoluted), I could live with 'pinyin' being a broad term IF it were defined as a romanization specified by the Chinese government, and would be happy to change my registration form to reflect that. What I find bad is the various attempts to broaden pinyin without tying it to a particular organization.

Mark proposed this text:

I suppose we just disagree. Note that what I am writing is no more than giving an example of what is allowed by the current text and specification. We allow broadening of any term. And I would strongly disagree with any change to the current wording that would disallow that.

I don't know why you don't like this. If there were a 1994 spelling reform in France, I see nothing wrong with using fr-1994 - it is perfectly clear what that it means some version of french associated with the year 1994 - and if I want to find out more I look in the registry at the description. A darned sight easier to understand than most of our subtags!

For another thing, we can't let any particular language "get dibs" on a year - if we are going to use year numbers, then we have to be able to use them for different languages.

This wording doesn't really work for me, but I agree about removing the MAY. Let me try a rewording.

--

I think it actually is imminent. Pinyin / wadegile are just the tip of an iceberg. We are working hard on romanizations, and there are dozens associated with given organization. I would find it abhorent to artificially distinguish subtags that are perfectly understandable as broad terms.

AP> I think this is overkill. We don't have any examples of non-year four-digit registrations at present

That is why I want to spell out that they should always be used as years, if they are used.

nor do we have to spell out that a year should pertain to some event, I think. The registration process ought to do something useful, such as screen requests for such things. Besides, apparently the current trend is to append four letters of garbage to years :-).

Addison

Addison Phillips

> From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On
> Behalf Of John Cowan
> To: [email-masked]<mailto:[email-masked]>
> [email-masked]<mailto:[email-masked]>

---

From: "Mark Davis" <[email-masked]>
Date: Thu, 2 Oct 2008 17:13:28 +0200

I
tried to go through and account for Addisons comments, and have the
following. (Also at
http://docs.google.com/Doc?id=dfqr8rd5_216dbfzfkf5, so that it is
easier to update.)
I left in place two options for how to deal with years. I'd prefer A, but
could live with B.

<t>Records MUST be unique by Type and Subtag. Thus requests to assign
an additional record of a given Type with an existing Subtag value
MUST be rejected. For example, the variant subtag 'rozaj' already
exists in the registry, so adding a <i>second<i> record of type
'variant' with the subtag 'rozaj' is prohibited.</t>

<t>Variant subtags that are used with multiple prefixes MUST have a
single core meaning across those prefixes. Such a core meaning may be
narrow, or may be broad. For example, it could refer to an
organization (including governments), and mean a variant as specified
by that organization for relevant prefixes.
Thus
'ungegn' could be defined as referring to a romanization for any given
prefix as specified by the United Nations Group of Experts on
Geographical Names (UNGEGN), and be thus productively used with
'ru-Latn',
'hi-Latn', 'zh-Latn', and others.</t>

Option A.

<t>Four digit subtags are specially reserved for indicating a year.
Their meaning is in reference to some significant specification or
other work associated with that year. It may have multiple prefixes:
the particular specification for a given prefix MUST be clearly
indicated in one of the Descriptions. For example, the '1994' subtag
variant record could have the prefix 'fr-CA' added together with a
description of usage for a French Canadian spelling reform associated
with the year 1994.</t>

Option B.

<t>Additional four digit variant subtags MUST NOT be registered.</t>
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Phillips, Addison" <[email-masked]>
Date: Thu, 2 Oct 2008 08:17:10 -0700

<quot>We can't have this situation. Languages can't claim years all for them selves ;-). And yet any 4-digit sequence will be interpreted as a year. If we are not going to give broad meaning to 4 digit sequences as years, then we should just forbid any future registration of them as 4 digit sequences.</quot>

It is already done. I’m okay with four digits being a year. Just not with allowing multiple different meanings to be assigned. I’d rather ban future registration of naked year numbers.

Addison

Addison Phillips

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Davis
Sent: Thursday, October 02, 2008 7:50 AM
To: Phillips, Addison
Cc: John Cowan; LTRU Working Group; Kent Karlsson
Subject: Re: [Ltru] Uniqueness of variant subtags

Mark

On Thu, Oct 2, 2008 at 4:33 PM, Phillips, Addison <[email-masked]<mailto:[email-masked]>> wrote:

Mark,

--

--

And then say:

--

But I do think that they do have a single core meaning - a specification or work associated with a year.

--

Clearly, "French Canadian spelling reform" and "1994 orthography of Resian Slovenian" are not the same meaning?!?

'1994' is taken. The metaphorical Canadians will have to make due with something wacky like '1994qc'.

We can't have this situation. Languages can't claim years all for them selves ;-). And yet any 4-digit sequence will be interpreted as a year. If we are not going to give broad meaning to 4 digit sequences as years, then we should just forbid any future registration of them as 4 digit sequences.

Addison

Addison Phillips

It is an architecture.

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Mark Davis
Sent: Thursday, October 02, 2008 7:23 AM
To: John Cowan

Mark

---

From: "Mark Davis" <[email-masked]>
Date: Thu, 2 Oct 2008 17:28:42 +0200

Actually no. What we want to do is register a small number of variant tags
that can be productively combined. For example, one subtag 'ungegn' applies
to some 47 languages that they have romanizations for. Registering each one
of these would be, of course, a nightmare, when a single variant tag would
suffice.
And I see no reason why 'ungegn' would be a problematic registration, and
somehow require an extension. It is just a way to express an orthography,
and we have many of those already. I'm just saying that we could provide
some guidance in the wording so that we don't get into interminable,
unproductive, case-by-case, brou-hahs in the languages group.

Mark

On Thu, Oct 2, 2008 at 5:09 PM, Phillips, Addison <[email-masked]>wrote:

>  You're planning to register "dozens" of romanizations?
>
>
>
> I liked the idea of an extension for transcriptions much more than using
> variants. If it's just a few transcriptions, that's one thing. But we could
> fill the registry with various romanization schemes (and then there are
> other to-non-Latin script transliterations to consider). Ick.
>
>
>
> Addison
>
>
>
> Addison Phillips
>
> *From:* [email-masked] [mailto:[email-masked]] *On
> Behalf Of *Mark Davis
> *Sent:* Thursday, October 02, 2008 7:47 AM
> *To:* Phillips, Addison
> *Cc:* John Cowan; LTRU Working Group; Kent Karlsson
>
> For another thing, we can't let any particular language "get dibs" on a
> year - if we are going to use year numbers, then we have to be able to use
> them for different languages.
>
>
>
>
>
>
>
>
>

---

From: "Phillips, Addison" <[email-masked]>
Date: Thu, 2 Oct 2008 08:49:24 -0700

I don’t have a problem with your ‘ungegn’ idea stated that way.

Of course, I’m not the LSR. ;-)

My observation is that every registration ever undertaken—even those undertaken as part of a set—is a “case-by-case brouhaha”. I can’t recall even a single instance of a clean two-week registration where it just sailed in.

Addison

Addison Phillips

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Davis
Sent: Thursday, October 02, 2008 8:29 AM
To: Phillips, Addison
Cc: John Cowan; LTRU Working Group; Kent Karlsson
Subject: Re: [Ltru] Uniqueness of variant subtags

Actually no. What we want to do is register a small number of variant tags that can be productively combined. For example, one subtag 'ungegn' applies to some 47 languages that they have romanizations for. Registering each one of these would be, of course, a nightmare, when a single variant tag would suffice.

And I see no reason why 'ungegn' would be a problematic registration, and somehow require an extension. It is just a way to express an orthography, and we have many of those already. I'm just saying that we could provide some guidance in the wording so that we don't get into interminable, unproductive, case-by-case, brou-hahs in the languages group.

Mark

On Thu, Oct 2, 2008 at 5:09 PM, Phillips, Addison <[email-masked]<mailto:[email-masked]>> wrote:

I liked the idea of an extension for transcriptions much more than using variants. If it's just a few transcriptions, that's one thing. But we could fill the registry with various romanization schemes (and then there are other to-non-Latin script transliterations to consider). Ick.

Addison

Addison Phillips

It is an architecture.

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Mark Davis
Sent: Thursday, October 02, 2008 7:47 AM
To: Phillips, Addison
Cc: John Cowan; LTRU Working Group; Kent Karlsson

Mark

Type:variant
Subtag:hpin1958

Mark proposed this text:

Ed.> MUST NOT

right.

Ed.> MUST have

good

--

Addison

Addison Phillips

---

From: Leif Halvard Silli <[email-masked]>
Date: Thu, 02 Oct 2008 17:55:10 +0200

> At 08:25 08/10/02, Leif Halvard Silli wrote:

    [...]

>> While OTOH, using year for language reforms, is very
>> inviting.  It could encourage registration. Should that be
>> avoided?
> 
> shorten discussions about registrations with clearer
> guidelines. If you have any ideas on this, please tell us.

For this to work, then one must have the idea of universiality in 
mind during the registration process.

A very basic thing would be to create a prototypical text for use 
  with "language reform subtags". For example

	Offical or recognised language reform.

Then, if during the registration process, one see that the seeked 
variant registration meets the definition of "recognised language 
reform", then the registration should include that text.

The next step is to see if it also is possible to register a 
universal subtag - that is: A year subtag.

If the answer yes, then one either registers a new year or picks 
an allready registered one. If the answer is no, then one creates 
a new non-year subtag instead.

ISSUES:

1) Non-AD years: How about years from other eras? E.g. how about a 
year from the Islamic era for a possible reform of an Arabic 
language/dialect? I think in principle this should be OK.

2) I guess one should followthe pattern of the October revolution 
(which occurred in November, according to our Gregorian calendar). 
That is: One should pick the year associated wit the reform, and 
not the "correct", Gregorian year.
-- 
leif halvard silli
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 2 Oct 2008 10:37:28 -0700

Hi -

As a technical contributor...

I'm deeply concerned that this thread is leading to a seriously
over-specified, over-engineered solution.  There are several
different concerns that folks appear to be trying to address,
and I'm afraid that the net effect of the proposals might be worse
than the envisioned problems.

(1) making "institution" mnemonics part of the formal structure
logically leads to the conclusion that there should be a registry of
institutions.  I really don't want to go there!

(2) the "same meaning" vs "same semantics" debate gets to the
heart of why I so strongly opposed using the same variant tag
for the Hanyu Pinyin orthography of Mandarin and a pinyin-like
way of writing Tibetan.  Our job is to define procedures to keep
the registry running smoothly so that language tagging needs
can be met.  How does each interpretation effect the operation
of the review process and registry?  How would each impact
the developer communities of products that employ language
tags?  Would either approach make any difference to the people
using those languages?

(3) With respect to the "year" business, at some point we have
to stop gilding this lily with more and more advice and recognize
that as more and more variant subtags are registered, it will
become increasingly likely that the character string used for
the variant will end up having little or no mnemonic value.  Tough.
It's unrealistic at this late stage in the process to come up with an
architecture for the construction of variant subtags.  Doing so
will only increases the amount of time spent arguing about
the "right" string to use for a particular variant.  THEY ARE JUST
SUBTAGS, and we should *NOT* do anything to foster the
perception that they are anything more.

Randy

---

From: Leif Halvard Silli <[email-masked]>
Date: Thu, 02 Oct 2008 19:58:21 +0200

Mark Davis 2008-10-02 17.13:

> I  tried to go through and account for Addisons comments,

   [ snip ]

> 'hi-Latn', 'zh-Latn', and others.</t>

You here use the word "romanization" - aka latinisation - instead 
of transcription. Can we rule out that UNGEGN will not specify 
e.g. Cyrillic transcriptions? (But if they should add Cyrillic 
transcriptions, then one could just add e.g. "en-Cyrl" to the list 
of prefixes.)

And what about "be-ungegn", which you in fact used as example in 
one of your previous messages? Also see my note about 
"supress-script" for variant tags below.

> description of usage for a French Canadian spelling reform associated

Good. ISSUE:  You take for granted that it is meant 
"fr-CA-latn-1994".  I would propose that variant subtag 
registrations should always be very spesific about which Region 
and Script they are valid for. For instance, the current 
registration of "1996" does not specify that it is a "de-DE" 
related norm. As if "de-CH-1996" would also be correct.

So, for example, for the subtag "1996", I propose that it should 
say that the prefix is not "de" but "de-DE-Latn":

Type: variant
Subtag: 1996
Description: Offical or recognised language reform associated with 
year 1996.
Prefix: de-DE-Latn
Prefix: uz-UZ-Latn
Prefix: be-Latn-ungegn

The taggers would then have to know the Suppress-Script rules in 
order to understand that in real life tagging, they ought to write 
"de-DE-1996" and not "de-DE-Latn-1996". And they would also have 
to know the rules in order to know that they can/should/could also 
often drop "DE" and just write "de-1996".

Just because a language subtag has (or hasn't) a Suppress-Script 
field, does not necessarily imply that the variant subtag has the 
same - or the same lack of - script association. Therefore I think 
that variant registration should be "hypercorrect" when they 
specify which Prefix the variant can be used with. But leave it to 
the taggers to drop unnecessary tags.

If one cannot use the Prefix field to do this, then one should 
invent a new field for this particular purpose. Perhaps a 
Relates-to field.

> <t>Additional four digit variant subtags MUST NOT be registered.</t>

It would be hard to live with Option B.
-- 
leif halvard silli
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: John Cowan <[email-masked]>
Date: Thu, 2 Oct 2008 15:31:28 -0400

Leif Halvard Silli scripsit:

> For instance, the current registration of "1996" does not specify that
> it is a "de-DE" related norm. As if "de-CH-1996" would also be correct.

It would be.  The 1996 reforms were adopted for de-DE, de-AT, de-LI,
and in modified form (no �) for de-CH.

-- 
John Cowan    http://ccil.org/~cowan  [email-masked]
'Tis the Linux rebellion / Let coders take their place,
The Linux-nationale / Shall Microsoft outpace,
We can write better programs / Our CPUs won't stall,
So raise the penguin banner of / The Linux-nationale.  --Greg Baker
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: Leif Halvard Silli <[email-masked]>
Date: Thu, 02 Oct 2008 21:48:12 +0200

> and in modified form (no �) for de-CH.

Sorry. You are right.

Part of the issue is that Switzerland never used the double s 
ligature, and thus had no problem with that part of the reform. 
And this is also why I thought it was only a reform of German in 
Germany.
-- 
leif halvard silli
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Gerard Meijssen" <[email-masked]>
Date: Thu, 2 Oct 2008 21:52:19 +0200

Hoi.
I am considereing to request subtags for the Dutch language that reflect the
different versions of the orthography as published in the "Groene boekje" a
new version appears on average every 10 years. The last one was the one for
2006 and it replaced the 1996 orthography.

What i would like to know is what code would be appropriate?  To make it
more interesting, there is also a "Witte boekje" it published a competing
orthography for the Dutch language and was also published in 2006 (for the
first time). As far as I am concerned any code would do, my personal
preference is a code that has no meaning in and of itself.
Thanks,
        Gerard

On Wed, Oct 1, 2008 at 3:37 PM, Doug Ewell <[email-masked] rg> wrote:

> Many wrote:
>
>  I am wholly and utterly opposed to allowing two records of the same type
>>>> with the same subtag.
>>>>
>>>
>>> And so am I.
>>>
>>
>> As am I.
>>
>
> ietf-languages, I think we are seriously overestimating both the need to tag
> variations identified by a year and the likelihood that users will connect
> these year numbers to the variations.
>
> German was a notable special case: it had a well-known, widely publicized,
> and much-debated orthographic revision for which we ended up creating the
> tag "de-1996" (with complement "de-1901" for the old orthography) back in
> the RFC 3066 whole-tag days.  This was largely because we wanted to avoid
> something like "de-revised" knowing that it might be revised again some day.
>  However, even now we talk of "de-1901" and "de-1996" as making distinctions
> that usually don't need to be made; see, for example, Section 4.1 of both
> RFC 4646 and draft-4646bis-17.
>
> Since assigning "1994" to a Resian orthography invented by Han Steenwijk,
> which might well have been named for him instead, ietf-languages has been
> more and more willing to use year numbers to identify language variations,
> even those where the variation is not commonly associated with the year, or
> where regular revisions identifiable by year are not expected.  We are about
> to register '1959acad' for Belarusian even though we distinguish no other
> revisions of Academy Belarusian, and we were considering 'hpin1958' for
> Hanyu Pinyin even though the distinction we wanted to draw was between Hanyu
> I'm not saying year numbers don't ever have their place, but it worries me
> when we expect them to be so common that we are thinking about compromising
> an important property of the Registry, uniqueness of subtag values within
> type, in anticipation that there will be tons of them.
>
> and 'corur' and so forth are acceptable subtags.  These may be cryptic, but
> they are not arbitrary.
>
> --

---

From: John Cowan <[email-masked]>
Date: Thu, 2 Oct 2008 15:57:09 -0400

> 2006 and it replaced the 1996 orthography.

By all means, but take it to [email-masked]; it's off-topic here.

-- 
John Cowan              [email-masked]          http://www.ccil.org/~cowan
Most people are much more ignorant about language than they are about
[other subjects], but they reckon that because they can talk and read and
write, their opinions about talking and reading and writing are as well
informed as anybody's.  And since I have DNA, I'm entitled to carry on at
length about genetics without bothering to learn anything about it.  Not.
                        --Mark Liberman
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Broome, Karen" <[email-masked]>
Date: Thu, 2 Oct 2008 13:11:38 -0700

Do you have any real-life need for these distinctions in Dutch or is this purely an academic request?

Karen Broome

From: [email-masked] [mailto:[email-masked]] On Behalf Of Gerard Meijssen
Sent: Thursday, October 02, 2008 12:52 PM
To: Doug Ewell
Cc: LTRU Working Group
Subject: Re: [Ltru] Uniqueness of variant subtags

Hoi.
I am considereing to request subtags for the Dutch language that reflect the different versions of the orthography as published in the "Groene boekje" a new version appears on average every 10 years. The last one was the one for 2006 and it replaced the 1996 orthography.

What i would like to know is what code would be appropriate?  To make it more interesting, there is also a "Witte boekje" it published a competing orthography for the Dutch language and was also published in 2006 (for the first time). As far as I am concerned any code would do, my personal preference is a code that has no meaning in and of itself.
Thanks,
        Gerard
On Wed, Oct 1, 2008 at 3:37 PM, Doug Ewell <[email-masked] rg> wrote:
Many wrote:
I am wholly and utterly opposed to allowing two records of the same type with the same subtag.

And so am I.

As am I.

Mark added:
I'm not opposed to

de-1901
uz-1901

As a matter of subtag assignment policy, which is really a question for ietf-languages, I think we are seriously overestimating both the need to tag variations identified by a year and the likelihood that users will connect these year numbers to the variations.

German was a notable special case: it had a well-known, widely publicized, and much-debated orthographic revision for which we ended up creating the tag "de-1996" (with complement "de-1901" for the old orthography) back in the RFC 3066 whole-tag days.  This was largely because we wanted to avoid something like "de-revised" knowing that it might be revised again some day.  However, even now we talk of "de-1901" and "de-1996" as making distinctions that usually don't need to be made; see, for example, Section 4.1 of both RFC 4646 and draft-4646bis-17.

Since assigning "1994" to a Resian orthography invented by Han Steenwijk, which might well have been named for him instead, ietf-languages has been more and more willing to use year numbers to identify language variations, even those where the variation is not commonly associated with the year, or where regular revisions identifiable by year are not expected.  We are about to register '1959acad' for Belarusian even though we distinguish no other revisions of Academy Belarusian, and we were considering 'hpin1958' for Hanyu Pinyin even though the distinction we wanted to draw was between Hanyu and other Pinyins, not between 1958 and any other revision.

I'm not saying year numbers don't ever have their place, but it worries me when we expect them to be so common that we are thinking about compromising an important property of the Registry, uniqueness of subtag values within type, in anticipation that there will be tons of them.

And no, I don't consider this inconsistent with my position that 'coruc' and 'corur' and so forth are acceptable subtags.  These may be cryptic, but they are not arbitrary.

---

From: "Broome, Karen" <[email-masked]>
Date: Thu, 2 Oct 2008 13:12:59 -0700

Apologies. Yes, this question is off-topic here. Respond to ietf-languages. - K.

From: Broome, Karen
Sent: Thursday, October 02, 2008 1:12 PM
To: 'Gerard Meijssen'
Cc: LTRU Working Group
Subject: RE: [Ltru] Uniqueness of variant subtags

Karen Broome

Hoi.

And so am I.

As am I.

Mark added:
I'm not opposed to

de-1901
uz-1901

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 2 Oct 2008 14:20:09 -0700

Hi -

As co-chair...

> From: "Gerard Meijssen" <[email-masked]>
> To: "Doug Ewell" <[email-masked]>
> Cc: "LTRU Working Group" <[email-masked]>
...

While, as others have pointed out, how Dutch orthographic variants should
be registered is off-topic for this list, the technical point that Gerard
raises, that there may be competing orthographic reforms published in the
same year, as evidenced by the case of Dutch, *is* germane to this thread.

Randy

---

From: Leif Halvard Silli <[email-masked]>
Date: Thu, 02 Oct 2008 23:40:26 +0200

> As co-chair...

   ( snipped info about Green/White book standards of 2006 for Dutch )

> same year, as evidenced by the case of Dutch, *is* germane to this thread.

The question is if such clashes is a valid point against reserving 
years for such registrations. I think not.

In this case, one book would have to have the "2006" and the other 
e.g. "2006w" or "2006g" - unless they both would like to avoid the 
bare "2006".
-- 
leif halvard silli
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Gerard Meijssen" <[email-masked]>
Date: Thu, 2 Oct 2008 23:57:42 +0200

Hoi,
I do want to remind you all of the opinion expressed that it would not be a
good idea to include numbers in a code. So this means that codes like 2006g
would not be acceptable. If this is indeed the case, I am interested to
learn what code would be acceptable. From a technical perspective the code
"qwerty" would function as well... Again, I prefer not to read any meaning
in a code.

In answer to Karen, when a spell checker that conforms to a specific
standard finishes to check a document, the document complies with that
standard. For people interested in corpus analysis, it makes a difference to
know that a document is to be expected to comply with a specific standard.
At the end of such a spell check, it can be safely said that the document
can be determined to be in compliance with such a standard.
Thanks,
      Gerard

On Thu, Oct 2, 2008 at 11:40 PM, Leif Halvard Silli <[email-masked]> wrote:

> The question is if such clashes is a valid point against reserving years
> for such registrations. I think not.
>
> In this case, one book would have to have the "2006" and the other e.g.
> "2006w" or "2006g" - unless they both would like to avoid the bare "2006".
> --
> leif halvard silli
>

---

From: "Phillips, Addison" <[email-masked]>
Date: Thu, 2 Oct 2008 15:42:22 -0700

I do want to remind you all of the opinion expressed that it would not be a good idea to include numbers in a code.
AP> Yes. It was an opinion and I think it was wrong. Besides, we already have some year variants and we have UN M.49 codes, which are numbers.
So this means that codes like 2006g would not be acceptable. If this is indeed the case, I am interested to learn what code would be acceptable. From a technical perspective the code "qwerty" would function as well... Again, I prefer not to read any meaning in a code.
Why would ‘2006g’ be unacceptable? It is valid. It might not be the best or most mnemonic choice, but there is nothing wrong with it.
Addison

---

From: "Phillips, Addison" <[email-masked]>
Date: Thu, 2 Oct 2008 15:58:37 -0700

> transcriptions, then one could just add e.g. "en-Cyrl" to the list

Mark is talking about a generic variant: one with no prefixes at all.

> "supress-script" for variant tags below.

Suppress-Script for variants is not permitted and should not be permitted, IMO. It is an unnecessary change. Furthermore, the ietf-languages list has gone the other way and suggested that script subtags SHOULD be used with a variant representing a transliteration.

> "fr-CA-latn-1994".  I would propose that variant subtag

NB> The script always precedes the region. "fr-Latn-CA-1994"

> related norm. As if "de-CH-1996" would also be correct.

Others have pointed out the fallacy in this example, which does not invalidate the point. Registrations SHOULD be specific about script or region or even variant (in addition to language) when they are actually confined to a specific usages. See, for example, the registry record for '1994'.

> "de-DE-1996" and not "de-DE-Latn-1996". And they would also have

Uh... taggers already need to know when to use subtags. They are specifically advised not to use scripts unless it adds something to the tag, a specific example of the more general advisory not to use subtags that add nothing to the overall tag. Most German applications are actually fine with "de". In some cases "de-DE" or "de-DE-1996" are appropriate. Rarely "de-Latn-DE-1996" is appropriate---probably when the German in question is also rendered with other scripts in the same document/collection.

> often drop "DE" and just write "de-1996".

RTFRFC.

> same - or the same lack of - script association. Therefore I think

Yes it does. Note that transliteration variants, such as 'wadegile', have a Prefix (zh-Latn, in that case) to convey the fact that the script is needed. Although 'zh' does not suppress a script, the same thing can be said of (for example) romanizations of other languages. "be" requires no script and suppresses "Cyrl", but "be-Latn-ungegn" would probably be a good choice if 'ungegn' were a valid subtag representing a Latin transcription scheme.

> invent a new field for this particular purpose. Perhaps a

I think this is overkill. At some point we have to let the LSR register subtags and at some point we have to let people tag stuff. It is difficult enough--and maybe too difficult--for people to understand the information there today.

Addison

---

From: Leif Halvard Silli <[email-masked]>
Date: Fri, 03 Oct 2008 05:48:37 +0200

Phillips, Addison 2008-10-03 00.58:

>> You here use the word "romanization" - aka latinisation -
>> instead of transcription. Can we rule out that UNGEGN will
>> not specify e.g. Cyrillic transcriptions? (But if they should
>> add Cyrillic transcriptions, then one could just add e.g.
>> "en-Cyrl" to the list of prefixes.)
> 

Mark said: 'ungegn' [...]  productively used with 'ru-Latn' [...]
But in an earlier message he said:

Type: variant
Subtag: 2003       [ snip ]
Prefix: be-ungegn

I think Prefix: be-Latn-ungegn would have be more consistent.

> Others have pointed out the fallacy in this example, which does
> not invalidate the point. Registrations SHOULD be specific
> about script or region or even variant (in addition to
> language) when they are actually confined to a specific usages.
> See, for example, the registry record for '1994'.

It is interesting to compare the prefixes allowed for "1996",

	Prefix: de

to those allowed for "1994":

	Prefix: sl-rozaj
	Prefix: sl-rozaj-biske
	Prefix: sl-rozaj-njiva
	Prefix: sl-rozaj-osojs
	Prefix: sl-rozaj-solba

Allthough "sl-rozaj-lipaw" is not listed, since "sl-rozaj" is 
listed, how can we know that "sl-rozaj-lipaw-1994" is not 
permitted?  The only answer is: by applying the logic that the 
Prefix fields list *all* the possible "minimum prefixes".

But then, following the same logic, it should also be possible to 
write "de-NO-1996". In other words, I think the 1996 registration 
should have listed these "minimum prefixes":

	Prefix: de
	Prefix: de-DE
	Prefix: de-AT
	Prefix: de-CH
	Prefix: de-LI

Only then would "1996" and "1994" appear to follow the same rules.

"1996" and "1994" have much in common: I don't think that 1996 
lays down one 100% identical norm for all 4 country norms. Just as 
for the 1994 norm, 1996 has room for some region/location spesific 
variants. And, just as for the Lipovaz/lipaw dialect of Resian, 
there are some locations (Luxemburg/"LU") which was not formally 
covered by the reform.

Hence one should think that "de-LU-1996" would be wrong, just as 
"de-NO-1996" would be.

>> The taggers would then have to know the Suppress-Script rules
>> in order to understand that in real life tagging, they ought
>> to write "de-DE-1996" and not "de-DE-Latn-1996". And they
>> would also have
> 
> Uh... taggers already need to know when to use subtags. They
> are specifically advised not to use scripts unless it adds
> something to the tag,

Right. My proposal was not to change that advisory.

> a specific example of the more general
> advisory not to use subtags that add nothing to the overall
> tag. Most German applications are actually fine with "de". In
> some cases "de-DE" or "de-DE-1996" are appropriate. Rarely
> "de-Latn-DE-1996" is appropriate---probably when the German in
> question is also rendered with other scripts in the same
> document/collection.
>

>> to know the rules in order to know that they can/should/could
>> also often drop "DE" and just write "de-1996".
> 
> RTFRFC.

Of course. However, in order to know that the 1996 norm applies to 
  the German as used in the regions "DE", "CH", "AT" and "LI", one 
must read Wikipedia - not the RFC.

>> Just because a language subtag has (or hasn't) a
>> Suppress-Script field, does not necessarily imply that the
>> variant subtag has the same - or the same lack of - script
>> association. Therefore I think
> 
> Yes it does. 

OK. But there are some language subtags for which there aren't a 
suppress-script field. E.g. Turkmen language. So, for the 
hypothetical 2008 reform of the Turkmen langauge, one would have 
to include "Latn" as part of the prefix in order to make clear 
what the reform relates to:

	Prefix: tk-latn

The question then is: How do you discern this from the 
transliteration variants you discuss below, where the "latn" is an 
*required* prefix (which it probably should not be for "tk")?

Possible answer: in order to allow tk-1998, yet at the same time 
make clear in the registry that it relates to Turkmen of Latin 
script of Turkmenistan, the follwoing prefixes would have to be 
listed - in order to list all "minium prefix" variants:

	Prefix: tk
	Prefix: tk-latn
	Prefix: tk-TM

This would rule out adding "1998" to any other region subtags than 
-TM or to any other script subtag than -latn.

> Note that transliteration variants, such as
> 'wadegile', have a Prefix (zh-Latn, in that case) to convey the
> fact that the script is needed. Although 'zh' does not suppress
> a script, the same thing can be said of (for example)
> romanizations of other languages. "be" requires no script and
> suppresses "Cyrl", but "be-Latn-ungegn" would probably be a
> good choice if 'ungegn' were a valid subtag representing a
> Latin transcription scheme.

OK. So the current tradition is that the Prefix field lists the 
*minimum prefix* that must be present before the variant subtag in 
question can be used.

>> If one cannot use the Prefix field to do this, then one
>> should invent a new field for this particular purpose.
>> Perhaps a Relates-to field.
> 
> I think this is overkill. At some point we have to let the LSR
> register subtags and at some point we have to let people tag
> stuff. It is difficult enough--and maybe too difficult--for
> people to understand the information there today.

I agree. But then we must commit overkill by adding more prefix 
fields instead, I think, such as I proposed for Turkmen above.
-- 
leif halvard silli
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: John Cowan <[email-masked]>
Date: Fri, 3 Oct 2008 01:33:06 -0400

> to those allowed for "1994":

Not *allowed*, but *recommended*.  The first means that we say you SHOULD use 'de'
(and implicitly, SHOULD NOT use any other primary language subtag) with '1996'.
The second group means that you SHOULD use 'sl', AND you SHOULD use 'rozaj',
AD you should use either one of the four variant tags or no variant tag,
before you use '1994'.

> permitted?  

But it *is* permitted.  The Prefix: on a subtag is only what's recommended.

-- 
John Cowan   [email-masked]  http://www.ccil.org/~cowan
Most languages are dramatically underdescribed, and at least one is
dramatically overdescribed.  Still other languages are simultaneously
overdescribed and underdescribed.  Welsh pertains to the third category.
        --Alan King
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: Leif Halvard Silli <[email-masked]>
Date: Fri, 03 Oct 2008 08:00:21 +0200

[ snip ]

> (and implicitly, SHOULD NOT use any other primary language subtag) with '1996'.

But the question still is why the registry does not say which 
regions tags "1996" is recommended used for.
-- 
leif halvard silli
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: Peter Constable <[email-masked]>
Date: Thu, 2 Oct 2008 23:02:01 -0700

+1

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Randy Presuhn
Sent: Thursday, October 02, 2008 10:37 AM
To: LTRU Working Group
Subject: Re: [Ltru] Uniqueness of variant subtags

Hi -

Randy

---

From: Martin Duerst <[email-masked]>
Date: Fri, 03 Oct 2008 17:55:14 +0900

At 13:25 08/10/02, Phillips, Addison wrote:
>draft for lack of any consensus. draft-18 on inter-locale has the proposed text.

I have read all the follow-ups, but I'm responding to this mail
because that way, I can express things more clearly.

[chair hat on]

The above drafted text, as far as I understand, refers to:

Requests to assign an additional record of a given type with an existing
subtag value MUST be rejected. For example, the variant subtag 'rozaj'
already exists in the registry, so adding a second record of type 'variant'
with the subtag 'rozaj' is prohibited.

I think that I'm able to say that we have consensus to exclude multiple
records with the same variant subtag. That's exactly what the above paragraph
is saying. Therefore, I instruct the editors to consider this very paragraph
as part of our official post-lastcall version.

I haven't been able to identify consensus beyond this specific issue.

[technical hat on]

I think that whatever text I have seen so far about semantics, meaning,
4-digit numbers for years, and so on, is either vague to the extent of
being of no real use (two reasonable people can come to different
conclusions based on the text in many cases) or is too specific,
to reach consensus, tending in one or the other direction. Also, while
there is in principle the hope that clearer direction in RFC 4646bis
would make the work of ietf-languages easier, which would be highly
desirable, I haven't seen any example where this would indeed be
guaranteed. I therefore think that this is one of the points where
we should stop adding additional language just to keep ourselves busy.

[chair hat on]

Unless I see some clear progress soon towards precise and consise text
that addresses a clear need, I plan to close the discussion on
further editing regarding this issue in a day or two, so that we
finally can move on.

Regards,    Martin.

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Fri, 3 Oct 2008 12:13:45 +0200

On Thu, Oct 02, 2008 at 04:23:22PM +0200,
 Mark Davis <[email-masked]> wrote 

> in one of the Descriptions.</t>

Strongly -1 for me. While it may be a good idea to avoid registrations
of 4-digits subtags, because of the risk of collision and the risk
that the first one to register 1901 will deprive the others, I do not
think it should be written down in the RFC. 4646bis is already too
long and too detailed on some points.

A related reason for suppressing this paragraph is because 4-digits
subtags are just a subset of "generic" subtags ("northern" or
"academy" being another common examples) and we should not legislate
for just a part of the generic subtags.

Such restrictions should belong to an "ietf-languages policy" (which,
as John Cowan is fond of mentioning, already exists, even if it is
currently unwritten).

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Fri, 3 Oct 2008 12:17:05 +0200

On Fri, Oct 03, 2008 at 05:55:14PM +0900,
 Martin Duerst <[email-masked]> wrote 
 a message of 68 lines which said:

> records with the same variant subtag.

For me, if I did not speak loudly for "multiple records with the same
subtag", it is mostly in the name of compatibility with existing
implementations. Otherwise, excluding multiple records should be
reconsidered (or limited to an ietf-languages policy, not cast in
stone in the RFC).

---

From: Leif Halvard Silli <[email-masked]>
Date: Fri, 03 Oct 2008 15:35:06 +0200

> further editing regarding this issue in a day or two, so that we

For progress/possible consesnsus, I propose that years should be 
reserved to "temporary" (in the meaning 'for the time being') 
revisions of an existing "thing".

I suggest that a romanisation is not a temporary change to an 
existing language and its norms (except in a derived way). But it 
may be a temporary version of an existing romanisation scheme. 
Thuse first should the kind of romanisation be mentioned in one 
variant tag, then in another subtag should the year come.

For the green book/white book example, one subtag should have the 
green vs white book. And a next subtag should mention the year.
-- 
leif halvard silli
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Phillips, Addison" <[email-masked]>
Date: Fri, 3 Oct 2008 08:36:25 -0700

+1

> "academy" being another common examples) and we should not
> legislate for just a part of the generic subtags.

I don't agree. Historically, year subtags have not been generic. Attempts to genericize them (and, by extension, all variants) are downright dangerous and, I think, wrongheaded.

> as John Cowan is fond of mentioning, already exists, even if it is

Indeed.

Addison